/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.adsense.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for Accounts.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the AdSense Management API. For a detailed explanation
 * see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class Accounts extends GenericJson {

  /**
   * ETag of this response for caching purposes.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String etag;

  /**
   * The accounts returned in this list response.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private java.util.List<Account> items;

  static {
    // hack to force ProGuard to consider Account used, since otherwise it would be stripped out
    // see http://code.google.com/p/google-api-java-client/issues/detail?id=528
    com.google.api.client.util.Data.nullOf(Account.class);
  }

  /**
   * Kind of list this is, in this case adsense#accounts.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String kind;

  /**
   * Continuation token used to page through accounts. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String nextPageToken;

  /**
   * ETag of this response for caching purposes.
   * The value returned may be {@code null}.
   */
  public String getEtag() {
    return etag;
  }

  /**
   * ETag of this response for caching purposes.
   * The value set may be {@code null}.
   */
  public Accounts setEtag(String etag) {
    this.etag = etag;
    return this;
  }

  /**
   * The accounts returned in this list response.
   * The value returned may be {@code null}.
   */
  public java.util.List<Account> getItems() {
    return items;
  }

  /**
   * The accounts returned in this list response.
   * The value set may be {@code null}.
   */
  public Accounts setItems(java.util.List<Account> items) {
    this.items = items;
    return this;
  }

  /**
   * Kind of list this is, in this case adsense#accounts.
   * The value returned may be {@code null}.
   */
  public String getKind() {
    return kind;
  }

  /**
   * Kind of list this is, in this case adsense#accounts.
   * The value set may be {@code null}.
   */
  public Accounts setKind(String kind) {
    this.kind = kind;
    return this;
  }

  /**
   * Continuation token used to page through accounts. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * The value returned may be {@code null}.
   */
  public String getNextPageToken() {
    return nextPageToken;
  }

  /**
   * Continuation token used to page through accounts. To retrieve the next page of results, set the
   * next request's "pageToken" value to this.
   * The value set may be {@code null}.
   */
  public Accounts setNextPageToken(String nextPageToken) {
    this.nextPageToken = nextPageToken;
    return this;
  }

}
